Retrieves all the user week approval

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_week_approval
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key of User

globally unique identifier

Required

approved_date_start

Starting date of the approved range

date

Required

approved_date_end

Ending date of the approved range

date

Required

date_approval

Date+Time when the approval occured

date

Required

is_approved

Indicate if the selection (range) is approved

boolean

Required

approved_by_user_id

Foreign key of user,who did the approval

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "92cf014e-7c5d-4046-aa60-c6c347ecaacd",
  "user_id": "24f37efc-13b6-41d2-bc55-355519973c10",
  "approved_date_start": "2026-11-02T05:06:04.7433593+00:00",
  "approved_date_end": "2026-11-02T05:06:04.7433593+00:00",
  "date_approval": "2026-11-02T05:06:04.7433593+00:00",
  "is_approved": true,
  "approved_by_user_id": "89e82044-35fb-4a29-bd7a-35c585d64cf8",
  "modified_dateutc": "2026-11-02T05:06:04.7433593+00:00"
}